# Interface MinilinksResult<L>

interface MinilinksResult<L> {
_updating: boolean;
byFrom: {
[id: Id]: L[];
};
byId: {
[id: Id]: L;
};
byTo: {
[id: Id]: L[];
};
byType: {
[id: Id]: L[];
};
emitter: EventEmitter;
links: L[];
options: MinilinksGeneratorOptions;
types: {
[id: Id]: L[];
};
add(linksArray): {
anomalies?: MinilinkError[];
errors?: MinilinkError[];
};
apply(linksArray, applyName?): {
anomalies?: MinilinkError[];
errors?: MinilinkError[];
};
query(query): any;
remove(idsArray): {
anomalies?: MinilinkError[];
errors?: MinilinkError[];
};
select(query): any;
subscribe(query): Observable<any>;
}

#### Type Parameters

- #### L extends Link<Id>

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:57

#####
Index

### Properties

_updating
byFrom
byId
byTo
byType
emitter
links
options
types

### Methods

add
apply
query
remove
select
subscribe

## Properties

### _updating

_updating: boolean

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:77

### byFrom

byFrom: {
[id: Id]: L[];
}

#### Type declaration

- ##### [id: Id]: L[]

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:61

### byId

byId: {
[id: Id]: L;
}

#### Type declaration

- ##### [id: Id]: L

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:60

### byTo

byTo: {
[id: Id]: L[];
}

#### Type declaration

- ##### [id: Id]: L[]

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:62

### byType

byType: {
[id: Id]: L[];
}

#### Type declaration

- ##### [id: Id]: L[]

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:63

### emitter

emitter: EventEmitter

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:65

### links

links: L[]

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:58

### options

options: MinilinksGeneratorOptions

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:64

### types

types: {
[id: Id]: L[];
}

#### Type declaration

- ##### [id: Id]: L[]

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:59

## Methods

### add

- add(linksArray): {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

- #### Parameters

  - ##### linksArray: any[]

  #### Returns {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

  - ##### `Optional` anomalies?: MinilinkError[]

  - ##### `Optional` errors?: MinilinkError[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.ts:69

### apply

- apply(linksArray, applyName?): {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

- #### Parameters

  - ##### linksArray: any[]

  - ##### `Optional` applyName: string

  #### Returns {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

  - ##### `Optional` anomalies?: MinilinkError[]

  - ##### `Optional` errors?: MinilinkError[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.ts:78

### query

- query(query): any

- #### Parameters

  - ##### query: QueryLink | Id

  #### Returns any

  - Defined in work/deeplinks/deeplinks/imports/minilinks.ts:66

### remove

- remove(idsArray): {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

- #### Parameters

  - ##### idsArray: any[]

  #### Returns {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

  - ##### `Optional` anomalies?: MinilinkError[]

  - ##### `Optional` errors?: MinilinkError[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.ts:73

### select

- select(query): any

- #### Parameters

  - ##### query: QueryLink | Id

  #### Returns any

  - Defined in work/deeplinks/deeplinks/imports/minilinks.ts:67

### subscribe

- subscribe(query): Observable<any>

- #### Parameters

  - ##### query: QueryLink | Id

  #### Returns Observable<any>

  - Defined in work/deeplinks/deeplinks/imports/minilinks.ts:68

Generated using TypeDoc